<?php
require 'config.php';
require '2016-05-26-the-new-era-of-script-kiddies.cfg.php';
require 'templates/blog-header.php';
?>
<p>The world of technology has little by little been taken over by the web,
which (in my opinion) isn't necessarily a bad thing. What I don't like is
that the main languages in the web are scripting languages that allow bad
practices and, to some extent, encourage them. It wouldn't be so bad (at
least for me) if this were limited to JavaScript on the client-side. My
issue is that scripting has advanced even to the servers. Sure, you can
use JSP, which is nice because it's a compiled language and it's more or
less strict as to its mentality and paradigm, but Java isn't that popular
in the web, what's popular are languages such as Python, Ruby, and
JavaScript (because someone thought it was a good idea to put JS on the
server).</p>

<p>You see, at least at first when mobile phones started to become popular,
they all use Java or some other stricter language, heck, you can program
Android apps in C++ if you wanted to (although I wouldn't recommend it).
Now companies figure that they can just make a web app and it will be just
the same as having a mobile app, they'll just have to go to the website to
see it. This, although true, limits the possible jobs of <b>all</b> developers
to mostly web monkey work, where you pay less attention on functionality
and more attention on aesthetics, which some people may enjoy, but <b>I</b>
sure don't.</p>

<p>Essentially, scripting (and by scripting I mostly mean JavaScript, you
Python and Ruby devs can calm down a bit) is allowing normies to begin
entering our field without learning any good practices, or even the
foundations of programming. Stop making it easier for people who don't care
about the beauty of programming to get into programming, they don't deserve
it. Why should someone who has no wish to learn of the beauty of painting
enter a business where they will be painting?</p>

<p>Of course, I have no problem with them entering our industry, so long as
they actually make an effort to learn good practices and choose a
<b>standard</b> for their language. Otherwise you might be reading two
JS projects from two different people, and the paradigms are so different
you might think that's a whole different language! When I learn C++ I know
that every C++ program will have essentially the same mentality to it.</p>

<p>I often get the impression that people who learn scripting languages are
the same people who started off with game-makers because they didn't want
to have to program the whole thing.</p>

<p>Of course, this is all a matter of opinion, I personally don't mind the
essence of what scripting is, I just don't like the fact that it has
basically no standards, and if it does, the language's interpreter doesn't
enforce them (I believe the HTML &amp; CSS are partly to blame for this, seeing
that the browser often takes care of most errors so you don't have to fix them).
It's not the computer's (or in this case, the web
browser's) to interpret what I mean (even though it is called an
interpreter), its job is to read my code and if something is not standard
or doesn't make sense, it doesn't fix it for me, it gives me a <b>big fat
error in bold red text</b> that tells me "Hey, this code is bad, you
should change that!".</p>


<?php
require 'templates/blog-footer.php';
?>