<?php
require 'config.php';
require '2018-12-08-getting-more-women-in-technology.cfg.php';
require 'templates/blog-header.php';
?>
<p>I've gone over before in my post about the Google memo, on how our current way of encouraging women to take STEM courses is failing. Here, rather than focusing on the Google memo itself, I'd like to suggest how this issue can be fixed.</p>

<p>Firstly, it's very obvious by the statistics <a href="https://www.npr.org/sections/money/2014/10/21/357629765/when-women-stopped-coding" target="_blank" >that computer science specifically is what's having problems attracting women</a>, despite all the efforts that have been made in the last decade to encourage more women to enter the field of computer science, it seems to either have a negative effect or no effect at all (since statistically speaking, based on those numbers, you could not say it's been working). So what has been our strategy so far in this field? Well, most of it has taken the form of your typical market strategies (i.e. <a href="https://www.womenintechnology.org/scholarships" target="_blank" >subsidizing tuition costs for women taking certain fields</a>, <a href="https://smallbusiness.chron.com/tax-incentives-using-minorityowned-business-30659.html" target="_blank" >giving tax breaks to companies to hire more women</a>, etc.). Fact of the matter is, women still don't like tech, and it seems that less and less of them do since around the mid-80s.</p>

<p>So, since we know that the percentage of women in the field of computer science was rising up until the mid-80s, when it lagged behind the rest of the STEM fields where women went on to represent nearly 50% of the field, what happened there? Well, as the NPR article above pointed out, a major change took place in computing during that time in which computers went from being a professional tool to do fast calculations and simulations, to being a household electronic device, but more importantly, a gaming station for kids, specifically being placed in the "boy's toys" section in supermarkets. It is speculated that this may have been a major influence on the percentage of women in tech today. Had it been put in the "girl's toys" section, the tech field might have been taken over by women and we'd be wondering how to get more men into the field!</p>

<p>Now, simply because you play with something (in this case, a boy plays with a computer) doesn't mean you gain an interest in how it works underneath and start to tinker with it. However, it does increase your chances of obtaining these interests. This may be anecdotal, but I can say that many of the people I know in my degree joined because they play video-games in their free time and they wanted to be a part of that, and I don't doubt that such is the case of most people in tech (if not video-games, something else). It's what got me into computers (as well as the 90s movie <i>Hackers</i>, which I now look back on in shame due to how unrealistic it is).</p>

<p>Knowing this, it seems quite evident to me that we should not be trying to attract more women into the field when it's already too late for them and they've already developed a personality, likes & dislikes, but earlier in their development when they're children. Therefore, the first and most important responsibility falls down to the parents (as in most cases). Parents should introduce their girls to computers and even computer games. The parents (especially the mother, who serves as the female role model) should also take a little interest in tech (or simply the sciences) to encourage this behavior. When the girl is old enough, teach her to use a program like <a href="https://scratch.mit.edu/" target="_blank" >Scratch</a>, a software from MIT that helps children learn the basics of logic and programming while making fun games. Maybe when they're a teenager do some family projects with a <a href="https://www.raspberrypi.org/" target="_blank" >Raspberry Pi</a> or a <a href="https://www.pine64.org/" target="_blank" >Pine64</a>.</p>

<p>Now, of course, although the most important place to foment technology would be at home, it's also very important that it be encouraged at school, not at high school level (where people have already started to develop their own personality, likes & dislikes), but in elementary school and especially in middle school. Make it mandatory to have a computer literacy class (which, by the way, need not be programming, generally most people are extremely computer illiterate regardless of gender), have extracurricular activities in which students get to program some basic things in Scratch or (for more advanced students) <a href="https://www.greenfoot.org/door" target="_blank" >Greenfoot</a>.</p>

<p>Now, taking all this into consideration, it's important to remember that our goal is to bring more women into tech, not discourage men from it. It's fine to create activity groups related to tech that are women specific, since women may require a different motivations than men to join the field. However, supposing there is an instance where men are the minority (say there's a school where only a few boys are interested in tech versus tens of girls) it is important that the women also be inclusive of the men. We're not rivals, we're comrades, and comrades help each other.</p>


<?php
require 'templates/blog-footer.php';
?>