<?php
require 'config.php';
require '2022-02-17-account-proliferation.cfg.php';
require 'templates/blog-header.php';
?>
<p>A tendency that has been greatly bothering me recently regarding modern
systems - on the web, desktop applications, OSs or otherwise - is the increasing
number of them that require new users to register an account for their usage.
The most recent case was when I was trying to install Windows 10 in a virtual
machine, and in order to finish the post-install configuration I had to log into
or create a Microsoft account. There was no option to skip this step available
on-screen. I tried using my student Microsoft account, but this was rejected...
I don't know why. So ultimately, I got fed up and decided to ditch the whole
thing.</p>

<p>This is what bothers me: why do I need an account to use an operating system?
I understand having the option available in later configuration, or having a
button clearly visible that allows me to skip this step, but to require it I
find is quite ridiculous. Perhaps it's just that I haven't been using any of
these kinds of technologies for years, and therefore it's more shocking to me,
but I find it completely inexcusable to require me to create a whole new account
just to use one crappy bit of software, which by its very nature does not
inherently require the usage of a networked account. Perhaps if we were talking
about a social media site, or cloud hosting. But not for literally every single
application.</p>

<p>Some believe that the solution to this is the use of third-party accounts
(e.g. when you sign into a website using your Google account, even though the
website doesn't belong to Google) but I dislike the idea that the access to all
my online information can be accessed by a single company like that. It provides
little security, and means that all it takes is for one account to be hacked for
all of them to be hacked. This creates a huge security risk that I am not
willing to take, as well as issues of privacy concerns that may arise as well.
As such, this does not seem to be an acceptable solution to me either.</p>

<p>Getting more to the point, I don't get why I need accounts for these things,
when often times I'm only going to be using these programs for a couple of
things and then I'll never touch them again. I find it ridiculous that these
developers (or more likely, their bosses) think I want to make a silly account
on their website just to receive more spam in my e-mail to delete.</p>

<p>Sometimes these companies think that by advertising that with this account or
this software I can install a bunch of other crappy software of theirs, that
this will somehow make me more inclined to create an account with them or
install their product... It doesn't. Any option that requires for me to install
and use more things than I need is automatically discarded for me (as anyone who
has read my post on pre-installed applications<sup><a href="#r1">[1]</a></sup>
would know).</p>

<p>I realize this post really hasn't contributed much useful information, I just
needed a place to rant about something stupid.</p>

<ol class="refs" >
	<li id="r1" >
		<a href="/blog/2019-07-26-the-cancer-which-is-pre-installed-applications.html" >
			"The Cancer which is Pre-Installed Applications" on The Music in
			Noise Blog
		</a>
	</li>
</ol>

<?php
require 'templates/blog-footer.php';
?>