<?php
require 'config.php';
require '2022-06-02-love-and-desire.cfg.php';
require 'templates/blog-header.php';
?>
<p>About a year and a half ago I wrote an article on the topic of love, and what
distinguishes it from taste (i.e. loving from liking).
<sup><a href="#r1" >[1]</a></sup> This article is similar, but instead of
contrasting love with taste, we're going to be contrasting it with desire.</p>

<p>I once heard an expression in Spanish that went as follows: <i>"Dios te ama
como eres, pero no te quiere como eres."</i> To roughly translate into English:
"God loves you as you are, but He does not desire you as you are." The key
verbs here in Spanish are <i>amar</i> and <i>querer</i>. The first verb refers
to what I had described in previous article: a desire for goodness for the
other person. The second, although often translated as "love" as well, truly
refers to a "wanting" or a "desire".</p>

<p>So what is it that this sentence means? To put it plainly, God loves us
because He desires what is good for us always. He wants us to grow and become
more fully what He created us to be. And He loves us regardless of how we are;
or more accurately, He loves us especially when we are struggling or in pain. It
is at these moments when He shows His great mercy. Yet, He doesn't desire us as
we are, for we are impure and (often) tainted by sin. He is God, who is goodness
itself, and therefore cannot be in union with something tainted like us.</p>

<p>This may seem like a grim picture, but this is where God's mercy and love
take hold. It is true, He does not desire us in our tainted state of sin, but
out of sheer love He extends to us His grace for purification, to make us clean.
He does so through the Sacraments of cleansing: Confession, Baptism, and the
Eucharist. And even for those who die and have not yet fully divorced themselves
from their sin, He offers the purifying grace of Purgatory to cleanse our souls.
He gives us every opportunity to become pure, to become saints, and to be
desired by Him. And all we have to do is to repent, to pick up our cross, and to
follow Jesus Christ, His only Son.</p>

<p>In this month of the Sacred Heart of Jesus, we trust in His blessed Heart, in
His infinite love for us, in His mercy. And we ask Him that He mould our hearts
to His, that we may learn to love as He does, and that through His grace we may
become sons &amp; daughters worthy of being desired by God. If it has been a
while since your last Confession, consider doing an examination of conscience,
and bringing your sins before the Lord, that He may forgive you, and heal you.
And may we pray especially for those who, in particular during this month, find
themselves furthest from God, that by His grace they may be lead to Him.</p>

<p>Have a very blessed month of the Sacred Heart of Jesus.</p>

<h2>References</h2>
<ol class="refs" >
	<li id="r1" >
		<a href="https://themusicinnoise.net/blog/2020-12-12-what-is-love.html" >
			"What is Love?" on The Music in Noise
		</a>
	</li>
</ol>

<?php
require 'templates/blog-footer.php';
?>