<?php
require 'config.php';
require '2024-02-06-la-la-land-review.cfg.php';
require 'templates/blog-header.php';
?>
<p>Recently I watched the 2016 film "La La Land" with my wife, and it conjured
some interesting conversation afterwards. I therefore thought it would make for
a good blog post to talk about the movie.</p>

<p>Now generally I am not a musical kind of guy, but I must admit that this
musical changed my mind. It is also possible that my aversion to musicals was
more influenced by the cheesy teenage musicals I would watch as a kid with my
family, such as "Camp Rock" or "High School Musical." Yet this one really
engaged my intellect and I truly believe the music had an important role to
play throughout the film. That being said, it is not the cinematic style of the
film that I would like to discuss, since I am by no means an expert or even an
amateur of the topic. Instead, I would like to talk about the ending and the
lesson which I believe it gives. So if you are one of those people who cares
about spoilers and has not watched the movie, you can stop right here; although
I will say that I watched the movie knowing how it ended, and even so I was
quite impressed and entertained.</p>

<p>To give a <em>very</em> rudimentary look over the plot, the story follows a man
named Sebastian (or "Seb") and a woman named Mia, who move to Hollywood, each
with their own dream. Sebastian wants to revive jazz by ultimately opening up a
jazz bar in L.A. while Mia wants to become a famous actress. Evidently they both
fall in love in spite of their rocky start and that neither of them is really
doing all that well materially. Yet, neither has forgotten their respective
dream. One day one of Sebastian's old friends offers him a spot in his jazz
band, and even though it is not the kind of traditional jazz that Sebastian
likes he feels encouraged by Mia to join, as he feels it is what she wants him
to do, even though Mia only encourages him because she sees it as an opportunity
for Sebastian to live out his aforementioned dream, which we find out is
correct; though the cost, as we will see, may not have been worth it. Evidently
they both realize later that Sebastian joining this band means being away for
very long periods of time, and although he has been earning a lot of money, it
also meant he was unable to see Mia's first theatrical solo performance. Mia
then, after briefly losing hope, is then recalled to Hollywood because someone
wants to hire her to be the star actress in a film staged in Paris. This would
of course mean leaving to Paris for an extended period of time. Sebastian
ultimately encourages her as well to follow her dream of becoming an actress.
Then it cuts to five years later when both Sebastian and Mia have both attained
their respective dreams, but at the cost of their love, as Mia is now married to
another man and with a child, and Sebastian is the owner of this newly-created
jazz bar. Mia has a fantasy of how things could have possibly "worked out" (in
her imagination), but ultimately reality is what it is. They exchange a glance,
Sebastian gives her an half-hearted smile, and they both continue down their
ever-divergent paths.</p>

<p>The movie, in my opinion, is truly a tragedy. An heart wrenching tragedy.
Typically we are used to this sort of plot where in the end either they both
realize that love is more important than their dreams earlier (as I believe they
do notice this at the end when it is already too late) and then they abandon
their dreams for their newfound dream to be together, or (in the most naïve of
films) they manage to somehow both follow their dreams and be together against
all odds. Yet I think this movie was absolutely necessary, much more in an age
like our own (especially in 2024) when so many people are doing what we have all
been told as children, to "follow our dreams," but then they realize that their
dreams, or at least the dreams we have been encouraged to have (as opposed to
the more humble dreams of simple family life) are not compatible with that which
is truly fulfilling. Therefore, what "La La Land" shows us it actually the
reality that many (I would imagine especially those looking to make it big in
the arts) go through.</p>

<p>The first place to start is, of course, when they each respectively get the
opportunity to live out their dreams. In Sebastian's case, his reason for
pursuing the job in the jazz band is not actually all that problematic at first,
in that the motives are not completely wrong. Prior to this he is in a situation
where he is practically unemployed, such that even if he wanted to live a life
with Mia he cannot (at least not in any decent way). He is presented with this
opportunity to earn quite a lot of money all of the sudden and additionally has
Mia's encouragement to go forward on the offer. Sebastian therefore does
something very honorable for a man to do: he takes on this job which he does not
even like all that much in order to attain the greater goal of the jazz bar or
(more importantly) a lifetime with Mia. What both Sebastian and Mia forget,
however, in their calculations is that this will require that Sebastian spend
lots of time touring; something they both very quickly realize is not compatible
with their relationship. However noble his intentions (which he admits were
mostly for the sake of Mia) they cannot make up for the reality of the
situation.</p>

<p>Secondly, and as if to put the last nail in the coffin, Mia gets her chance to
become a star filming in Paris. In Mia's case, although also encouraged to take
the opportunity by Sebastian, it becomes clear that the intentions are not as
noble, nor is it of as great a sacrifice as Sebastian's case. Whereas Sebastian
was taking on a job he did not like for the purpose of ultimately sharing a
dream with Mia (albeit at an undetermined time in the future), Mia takes on a
job she has always wanted for the purpose of... well, simply living her dream.
This is not to say she did something bad for an evil intent, but simply that it
was not in any way noble or sacrificial as in the case of Sebastian. Ultimately,
however, just as how Mia had encouraged Sebastian, so too Sebastian encourages
Mia to pursue this opportunity. But at this point they both begin to realize
what this means for their relationship.</p>

<p>Finally, some five years later, we see that Mia has married and had a child with
another man. She stumbles upon Sebastian's jazz bar and they both tragically
realize what they had lost. Ultimately (and beautifully) they go their separate
ways knowing that what has been done cannot be undone: that we must live with
the consequences of our decisions. Perhaps some (with wicked hearts) might say
that she (Mia) should leave her current husband (and presumably her child) to
follow love with Sebastian. At least that is what all the bad TV shows my
grandparents watch would seem to suggest. But no, they actually both do the
responsible and mature thing which is to realize the mistakes they have made,
but accept that what has been done cannot be undone; to live with one's
decisions, accepting all the responsibilities that come with it. Even so, I
believe this was the ending we needed, despite how tragic it was, since it shows
us the real consequences of what can happen when we have our heads a little too
much in the clouds and our feet less on the ground. In being so obsessed with
what we yearn to attain (the sin of greed) we lose sight of the treasure that
God has laid out right in front of us. Their greed led them to lose sight of the
love they had and could have shared for a lifetime.</p>

<p>But how did we get here? Where could Sebastian &amp; Mia have made the right
choice and ended up truly happily-ever-after? The answer is (I believe) clarity
in their relationship and (as unromantic as it may seem) a bit of foresight.</p>

<p>To start, in terms of clarity, for much of the film it would seem that Sebastian
&amp; Mia do not actually know the state of their relationship, nor are there
any real goals in mind. Are they engaged in courtship or not? Do they have the
intention of getting married? Do they have any idea of some sort of timeline for
their relationship? Instead it would seem they are simply drifting wherever the
wind blows at the moment, and therefore what is to stop them from drifting apart
when the wind blows as such? They lack agency, quite like those that Dante
Alighieri puts in the vestibule of Hell (<i>Inferno</i> III, 37-42), for since
they have never taken up a cause in life, they exhibit neither the virtues which
would merit Heaven nor do they harbor any evils such that even Hell rebukes
them, and so they remain churning endlessly in the winds outside the Gates of
Hell. Had these two clarified the state of their relationship since the
beginning, either by Sebastian proposing courtship or Mia demanding such
clarification, it would have made their relationship something palpable and
considerable, such that when these occasions (both for Sebastian and for Mia)
arose which threatened that relationship, it would have been something more
present on their minds during their consideration of such proposals. Which leads
to the second component: foresight.</p>

<p>Foresight, of course, is only useful when you have goals in mind, which, as I
have already established, they did not have. However, supposing they had
clarified their situation, foresight would have allowed them to consider the
effect which these choices would have on their relationship and on those future
goals. In fact, such clarification and foresight would even give them the
greater freedom to make the decision of what decision to make, as it would be
more informed. Sebastian would have known that a job touring the world with the
jazz band would be incompatible with a life married to Mia, and Mia would have
also known that becoming a famous actress in France would not have been
compatible with a life married to Sebastian. The choices would have been clearer
and the decision more freely chosen. Instead they <i>winged it</i>.</p>

<p>Getting to the conclusion of the film itself I think there is also a valuable
lesson to be learned with regards to our happiness. We should ask ourselves: why
do we feel so sad about the ending? They ultimately both achieved their
respective dreams, and to the full no less. According to the "follow your
dreams" mentality, should we not be happy for them? To perhaps clarify this, let
us contrast the actual ending with an hypothetical one where they both abandon
their respective dreams, but then end up living the rest of their lives
together. Would we not consider that to be a happy ending? The answer of course
is that love &amp; companionship are more important to our happiness than any
dream we may have, whether it be a certain job, fame, money, power, etc. The
reason is actually quite simple: all these other things are temporal and
extremely finite, while love, because it comes from the Creator who is Love and
is infinite, can never cease to fulfill us, especially when sought for at its
source (i.e. God).</p>

<p>In the end "La La Land" was an amazing movie, and its tragic ending was, I
believe, a very necessary contribution since it helps us to reflect on life,
forcing us to truly consider in the most heart-breaking way the other side of
the "follow your dreams" coin. For this I claim "La La Land" to be my favorite
musical, and even one of my favorite films. Take the lessons to heart, do not be
carried away by where the wind blows you. Instead, set your trajectory, clarify
your circumstances, and make your choices based on what will truly be more
fulfilling, which is typically a lot simpler than you think.</p>

<?php
require 'templates/blog-footer.php';
?>