<?php
require 'config.php';
require '2016-08-25-what-is-lacking-in-education?.cfg.php';
require 'templates/blog-header.php';
?>
<p>This is a question that is asked quite a lot, and although I don't have a definitive answer, I do have a few things that I believe to be very important that are being disregarded when it comes to the education of a student. Some of them are already being implemented by some school systems (in some cases it's only at certain schools), but I am not completely sure as to whether they are actually doing what I am going to expose here and if those results can be comparable statistically with those of a normal school. Either way, here are some things that I believe need to be improved. Also, in this list are things that are both common and specific, and they are based on my experiences with the American and Spanish educational system, therefore I will divide this into common issues, Spanish issues, and American issues.</p>

<h3>Common Issues</h3>
<p>0. Technological Literacy: Yes, I actually started with 0 for this one, if there was some basic technological literacy you would know why (if you already do, you're doing a good job). It pains me that in this day and age where technology is at the foundations of our society, where everyone owns some sort of computer (yes, your phone counts as a computer), and where if there were a catastrophe that destroyed all digital technologies society would basically fall apart, that people know little to nothing about technology (that is, if you're one of those people that once you get an error or warning message you call tech support you're part of the problem, everyone knows you look that up in a search engine first, or I suppose I should speak in your terms, <b>Google it!</b>). Since we live in such a society it is very important that we learn the fundamentals of programming. Our society is not dependent on the fine arts, <b>but it is on digital technologies</b>. If art goes away we're still all here, the world is a much uglier place, but we're all still civilized. If digital technologies go away we're all in trouble. This is not to say that a basic education in art shouldn't be obligatory, I just think that technology deserves more time than art does (it's sad when the amount of obligatory classes for art and technology are the same). Everyone should know what a file format is and that you can't just copy a binary from a Mac machine to a Windows machine and expect that to work. They should also know the difference between a text editor and a word processor (like the difference between Notepad and Microsoft Word, for those of you who don't know those terms). So please, fix this.</p>

<p>1. College Entrance Exams: This is one of the stupidest things I've ever seen. Why is it that for every other public educational institution I can just get in as long as I've passed the previous year, but college is somehow a special snowflake that requires an entrance exam? Yes, I'm talking about ACT, SAT, Selectividad, and all that nonsense. It should be as simple as "Oh, you passed the last year of high school? Here are some colleges you can go to. Pick a few, we'll see which one you get into, then you're off on your way.". But no, we want to annoy people with standardized tests. I understand wanting a standardized test, but please stop it with the entrance exams.</p>

<p>2. Teachers as Guides: If there's one thing I love about most programmers is that we're pretty much all self-taught and have genuine interest in the field (with a few exceptions being those who never write code unless it's for class or for work). However, this can also apply to other fields, and I've found that it's extremely beneficial, as it allows you to learn at your own pace and with much more enthusiasm. So, basically, what should teachers do? Well, instead of telling you "Hey, learn this for next week" instead they should say "Oh, you're interested in doing 3D Game development? Well I know a few resources to get you started with game development in general and then you can slowly make your way to your goal!". Of course, I would see this working better in a university context rather than a primary school one where everyone says "I want to be a firefighter!". This also helps weed out those who don't actually have any interest, those will be the people who say "I don't know what to do.". Essentially, the teachers will be there to guide you to your objective rather than creating your objective and then dragging you there while you struggle with it all.</p>

<p>3. Homework Shouldn't be Mandatory: Yes, please stop this. I get it for stuff like elementary school, and a little for middle school, but in high school the students should have enough maturity to know whether they are familiar with a subject enough to need to do the homework or not. Homework should definitely be suggested, telling the students what exercises that they could do to practice, but it should not be mandatory.</p>

<h3>Spanish Educational Issues</h3>
<p>0. Selectividad: I've already gone over college entrance exams, but this one is just horrifying. Do you know how much stress students get over this thing? Please take it down a notch! I mean, I know Spain is going to end up getting rid of this, but it's horrifying. I've had friends who've taken this and they were extremely stressed not only studying, but also waiting for the results. Please bring this down a notch before a bunch of people start committing suicide over it.</p>

<p>1. Student Privacy: Teachers in Spain, please stop pointing out the students that are not doing their school work, for all you know they already know what you're teaching and don't feel like doing homework which supposedly is something to remember what you did in class. Luckily students aren't graded on that.</p>

<p>2. Extracurricular: This is something that the American system takes to an extreme, but at least they have them. Spanish schools need to promote and even host educational extracurricular activities. A programming club, a medieval literature club, a political analysis club, anything that's educational, just please add it. This allows students who have productive interests outside of what they're learning to have a place to express those with other people they know and to do things together.</p>

<p>NOTICE: There are most likely more things that I could point out, it's just been a long time since I've been in the Spanish educational system, I guess I'll see more this year and have more complaints, might make another post for that.</p>

<h3>American Educational Issues</h3>
<p>0. Grammar: <b>Teach your students some grammar!!!</b> Do you know how bad the grammatical knowledge of the American population is compared to that of foreigners <b>in the English language</b>? I go to school and no one knows what an adverb is, or a possessive, or a predicate, or <b>any basic grammatical concepts</b>. How am I supposed to explain that in Japanese a sentence's structure is subject (sometimes called object)-predicate-verb if they don't know what any of those are? How did any of these kids play Madlibs when they were children? Did they guess what words to use? Please teach the American children some grammar so they can understand how bad their own language is.</p>

<p>1. Way Too Easy: Do you want to know how many times I actually studied for a test while I was in high school? I'll give you a hint, you can count them on one hand. Ready? I studied a total of <b>two</b> times. That is, I studied only for two different tests. Want to know why those don't count? Because they weren't even American tests, they were International Baccalaureate tests, which are made by people <b>in another country</b>. So for American tests I studied a total of <b>zero times</b>. So, what grades did I tend to get? Well, on tests I could get anywhere between D+ to B (there were exceptions on both ends of course, but this is what there normally was). Pretty average grades for someone who <b>never studies</b>. I get that failing never feels good, but some people have to fail, in this case it was me. Fix this! If I can pass all your tests without studying once then your system has a big gaping flaw. And if you're thinking that it's just because I'm naturally bright or something like that then you're wrong, in Spain if I didn't study for a test I was basically asking to fail. I'm not sure there is a way to fail in the American system. Also, remember how I said that the Selectividad was too hard? Well ACT is basically the polar opposite. I took that exam with <b>no preparations</b> because I knew that it didn't matter in my case for going to college since I was going to Spain and not the U.S., so I didn't study and I only took the exam half seriously, yet I ended up getting a score of 24 (which is pretty average). Want to tell me how this kind of stuff happens? I don't study, I take the test without really caring about the results (that is, not motivation whatsoever), and yet I get an average score? How do Americans struggle with this? Please fix this educational system, there's too much wrong with it.</p>

<p>2. Stop 'Making Learning Fun': No, just no. Learning is fun if the student thinks it's fun, not if you butcher it into a game rather than a lesson. When I learn programming I think it's fun, not because they teach it to me in a fun stupid little game, but rather because I actually genuinely enjoy learning how to program. If the student wants to learn they will, and if they don't it won't matter how many ways you butcher the lesson they still won't learn from it. You don't make learning fun, you make the student think that the field itself is fun, not by butchering the field but by having them see how it's interesting. If they don't find it interesting that's not your fault as a teacher, it's their flaw as a student. It's the student who is failing at his/her job.</p>

<p>3. School Is for Education: First, this is not a bash on all extracurricular activities, the educational ones are great. This is mostly on stuff like school dances, senior events, and all that. Yes, they're fun, and I enjoyed them, but do I think they belong in a school? No. Do I think that public money should be put into funding these? No. If the students want to organize a student dance at the recreational center I have no problem, that's fine, but don't expect the school to waste time and resources for this, <b>and don't use it as an excuse to be lazy at school or not attend it!</b>. Too many times have I seen people who skipped school because of a dance or some school event (including myself since I knew the teachers weren't going to do anything since there would only be 5 students in class that day). School is not a social club, it's not where you go to hang out with your friends, it's a place where you go to learn to be a productive member of society (something that a lot of educational systems fail at since there are so many unproductive people who when asked for their hobby they say "I like to watch Netflix."). So stop expecting schools to entertain you and start learning that school is a job, like all jobs there are times when you can chat, but most of it is work.</p>

<p>4. Homework Should be Less of Your Grade: I'm one of those people that believes that tests should be essentially your entire grade, or at least something like 80% of it. I've heard the argument people have put as to why homework and projects should be worth more points, and I find it stupid and flawed. Their reasoning is that not everyone is good at taking tests and therefore certain students have advantages. First of all, please show me a proper scientific study demonstrating this. The Eastern Asian countries have very test based scoring systems and they rank highest on almost all the charts! Please explain to me how this works. Besides that, the reason why I believe tests are more important is because if you cannot properly explain the why and how of something in written form then you truly do not understand it. Meanwhile, on homework and projects you can easily just copy work from somewhere else, which isn't necessarily bad if you're reading through the work and attempting to understand it, but there's no guarantee of that happening. With projects there's also the common case of the lazy one who doesn't contribute to the project and yet gets the same grade as you. Meanwhile, in a test you are in a controlled environment where the teacher can see exactly what you know. The teacher shouldn't expect you to know data, but rather he/she should be testing you on whether or not you know how to work with data that is given. I distinguish between knowledge and intelligence. Someone who is knowledgable is someone who knows many things, someone who is intelligent is someone who knows what to do with information that he/she has or is given. So someone can be knowledgable and still stupid (basically, your computer is stupid, but it's knowledgable). So stop adding so much importance to homework.</p>


<?php
require 'templates/blog-footer.php';
?>